Skip to main content
GET
/
specifications
/
{id}
Get specification by ID
curl --request GET \
  --url https://api.galtea.ai/specifications/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.galtea.ai/specifications/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.galtea.ai/specifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "spec_123",
  "productId": "prod_123",
  "userId": "user_123",
  "description": "Product must respond accurately to user queries",
  "type": "CAPABILITY",
  "testType": "QUALITY",
  "testVariant": "rag",
  "useForTestAlignment": true,
  "metricIds": [
    "metric_123"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}
{
"error": "Error type",
"message": "Error message description"
}
{
"error": "Error type",
"message": "Error message description"
}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Path Parameters

id
string
required

Specification ID

Response

Specification retrieved successfully

id
string
Example:

"spec_123"

productId
string
Example:

"prod_123"

userId
string | null
Example:

"user_123"

description
string
Example:

"Product must respond accurately to user queries"

type
enum<string>
Available options:
CAPABILITY,
INABILITY,
POLICY
Example:

"CAPABILITY"

testType
enum<string> | null

Only applicable for POLICY specifications. Must be null for CAPABILITY and INABILITY.

Available options:
QUALITY,
RED_TEAMING,
SCENARIOS
Example:

"QUALITY"

testVariant
string | null

Only applicable for POLICY specifications. QUALITY: rag, entity_extraction, summarization, classification, translation, correction, other. RED_TEAMING: data_leakage, financial_attacks, illegal_activities, misuse, toxicity, custom.

Example:

"rag"

useForTestAlignment
boolean
Example:

true

metricIds
string[]
Example:
["metric_123"]
createdAt
string<date-time>
deletedAt
string<date-time> | null